Commits

Hanfei Sun committed 621ed8e Draft

remove cython dependency

Comments (0)

Files changed (1)

 
 
 # from distutils.core import setup, Extension,run_setup
-from Cython.Distutils import build_ext
+# from Cython.Distutils import build_ext
 
 # def check_pkg_dependencies():
 #     try:
         sys.stderr.write("CRITICAL: Python version must be greater than or equal to 2.5! python 2.6.1 is recommended!\n")
         sys.exit(1)
     # check_pkg_dependencies()
-    ext_modules = [Extension("MPIPE.summary_c",["MPIPE/ext/summary_c.pyx"])]
+    ext_modules = [Extension("MPIPE.summary_c",["MPIPE/ext/summary_c.c"])]
     setup(name="MPIPE",
           description="A pipeline for motif finding and scoring",
           package_dir={'MPIPE' : 'MPIPE'},
           packages=['MPIPE'],
-          install_requires=['biopython', 'rpy2', "cython"],
+          install_requires=['biopython', 'rpy2'],
           scripts=['bin/Mpipe.py','bin/seq_GC_view.py','bin/motif_xml_view.py'],
           author='Hanfei Sun',
           version='0.10',
             'Operating System :: POSIX',
             'Programming Language :: Python',
             ],
-          cmdclass = {'build_ext' : build_ext},
+          # cmdclass = {'build_ext' : build_ext},
           ext_modules = ext_modules
               
           )